Update settings
const options = {
method: 'PATCH',
headers: {cookie: 'overlay_session=', 'Content-Type': 'application/json'},
body: JSON.stringify({
accessToken: '<string>',
userId: '<string>',
lightThemePreset: '<string>',
darkThemePreset: '<string>',
autoContinue: true,
defaultAskModelIds: ['<string>'],
defaultActModelId: '<string>',
defaultImageModelId: '<string>',
defaultVideoModelId: '<string>',
defaultImageAspectRatio: '<string>',
defaultVideoAspectRatio: '<string>',
sendWithEnter: true,
attachFilesToKnowledgeByDefault: true,
onlyAllowZdrModels: true,
dismissedZdrWarningGlobally: true,
dismissedZdrWarningModelIds: ['<string>']
})
};
fetch('https://getoverlay.io/api/v1/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {
method: 'PATCH',
headers: {cookie: 'overlay_session=', 'Content-Type': 'application/json'},
body: JSON.stringify({
accessToken: '<string>',
userId: '<string>',
lightThemePreset: '<string>',
darkThemePreset: '<string>',
autoContinue: true,
defaultAskModelIds: ['<string>'],
defaultActModelId: '<string>',
defaultImageModelId: '<string>',
defaultVideoModelId: '<string>',
defaultImageAspectRatio: '<string>',
defaultVideoAspectRatio: '<string>',
sendWithEnter: true,
attachFilesToKnowledgeByDefault: true,
onlyAllowZdrModels: true,
dismissedZdrWarningGlobally: true,
dismissedZdrWarningModelIds: ['<string>']
})
};
fetch('https://getoverlay.io/api/v1/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request PATCH \
--url https://getoverlay.io/api/v1/settings \
--header 'Content-Type: application/json' \
--cookie overlay_session= \
--data '
{
"accessToken": "<string>",
"userId": "<string>",
"lightThemePreset": "<string>",
"darkThemePreset": "<string>",
"autoContinue": true,
"defaultAskModelIds": [
"<string>"
],
"defaultActModelId": "<string>",
"defaultImageModelId": "<string>",
"defaultVideoModelId": "<string>",
"defaultImageAspectRatio": "<string>",
"defaultVideoAspectRatio": "<string>",
"sendWithEnter": true,
"attachFilesToKnowledgeByDefault": true,
"onlyAllowZdrModels": true,
"dismissedZdrWarningGlobally": true,
"dismissedZdrWarningModelIds": [
"<string>"
]
}
'"<unknown>"{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}Settings
Update settings
PATCH
/
api
/
v1
/
settings
Update settings
const options = {
method: 'PATCH',
headers: {cookie: 'overlay_session=', 'Content-Type': 'application/json'},
body: JSON.stringify({
accessToken: '<string>',
userId: '<string>',
lightThemePreset: '<string>',
darkThemePreset: '<string>',
autoContinue: true,
defaultAskModelIds: ['<string>'],
defaultActModelId: '<string>',
defaultImageModelId: '<string>',
defaultVideoModelId: '<string>',
defaultImageAspectRatio: '<string>',
defaultVideoAspectRatio: '<string>',
sendWithEnter: true,
attachFilesToKnowledgeByDefault: true,
onlyAllowZdrModels: true,
dismissedZdrWarningGlobally: true,
dismissedZdrWarningModelIds: ['<string>']
})
};
fetch('https://getoverlay.io/api/v1/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {
method: 'PATCH',
headers: {cookie: 'overlay_session=', 'Content-Type': 'application/json'},
body: JSON.stringify({
accessToken: '<string>',
userId: '<string>',
lightThemePreset: '<string>',
darkThemePreset: '<string>',
autoContinue: true,
defaultAskModelIds: ['<string>'],
defaultActModelId: '<string>',
defaultImageModelId: '<string>',
defaultVideoModelId: '<string>',
defaultImageAspectRatio: '<string>',
defaultVideoAspectRatio: '<string>',
sendWithEnter: true,
attachFilesToKnowledgeByDefault: true,
onlyAllowZdrModels: true,
dismissedZdrWarningGlobally: true,
dismissedZdrWarningModelIds: ['<string>']
})
};
fetch('https://getoverlay.io/api/v1/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request PATCH \
--url https://getoverlay.io/api/v1/settings \
--header 'Content-Type: application/json' \
--cookie overlay_session= \
--data '
{
"accessToken": "<string>",
"userId": "<string>",
"lightThemePreset": "<string>",
"darkThemePreset": "<string>",
"autoContinue": true,
"defaultAskModelIds": [
"<string>"
],
"defaultActModelId": "<string>",
"defaultImageModelId": "<string>",
"defaultVideoModelId": "<string>",
"defaultImageAspectRatio": "<string>",
"defaultVideoAspectRatio": "<string>",
"sendWithEnter": true,
"attachFilesToKnowledgeByDefault": true,
"onlyAllowZdrModels": true,
"dismissedZdrWarningGlobally": true,
"dismissedZdrWarningModelIds": [
"<string>"
]
}
'"<unknown>"{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}Authorizations
browserSessionbearerAuth
Signed httpOnly browser session cookie.
Body
application/json
Minimum string length:
1Minimum string length:
1Available options:
light, dark Available options:
ask, overlay, new-tab Available options:
ask, act Available options:
same-for-each-chat, different-for-each-chat Available options:
token, chunk Response
Successful response. Stable response schemas are documented in workflow guides when available.
Response shape is route-specific and may be backed by @overlay/app-core contracts.